*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}
body{
    font:15px/1.5 Arial, Helvetica, sans-serif;
    background-color: #ffffff;
}
.button1{
    height:30px;
    background:#e8491d;
    border:0;
    padding-left: 20px;
    padding-right: 20px;
    color:#ffffff;
    cursor: pointer;
    outline:none;
}
.button1 span {
    cursor: pointer;
    display: inline-block;
    transition: 0.5s;
    position: relative;
}
.button1 span:after {
    content: '\00bb';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -20px;
    transition: 0.5s;
}
.button1:hover span {
    padding-right: 25px;
}
.container{
    width:auto;
    height:auto;
    background-color:rgb(18,50,62);
    margin:auto;
    overflow:hidden;
}
header{
    color:#ffffff;
    border-bottom:#e8491d 5px solid;
}
header ul{
    list-style-type: none;
}
header a{
    color:#ffffff;
    text-decoration: none;
    text-transform:uppercase;
    font-size:20px;
}
.button1:hover span:after {
    opacity: 1;
    right: 0;
}
.logo-img{
    height:100px;
    cursor: pointer;
}
nav{
    display:flex;
    justify-content: space-around;
    align-items: center;
    min-height: 8vh;
    background-color: rgb(18,50,62) ;
}
  
header li{
    float:left;
    padding:0 20px 0 20px;
}
header #logo{
    float:left;
}
header #logo h1{
    color:#ffffff;
    float:right;
    margin:0;
    font-size:35px;
    padding-top:25px;
}
header nav{
    float:right;
    padding-top:35px;
    padding-right: 35px;
}
header .highlight, header .current a{
    color:#e8491d;
    font-weight:bold;
}
header a:hover{
    color:#cccccc;
    font-weight:bold;
}
/*

*/
.showcase{
    position: relative;
    min-height: auto;
    background:url(images/Iphone11_bg.jpg) no-repeat ;
    background-size: cover;
    text-align: center;
    color:#000000;
    opacity: 0.7;
}
.mid-container{
    width:100%;
    z-index: 1;
    text-align: center;
    padding:1%;
}
.mid-container p{
    width:30%;
    margin-top: 100px;
    font-size:1.5vw;
    margin: auto;
}
.mid-container h1{
    font-size:2.3vw;
    letter-spacing: 1px;
}
#boxes{
    display:grid;
    grid-template-columns:repeat(4,1fr) ;
    grid-auto-rows: auto  ;
    height:auto;
}
#boxes .box{
    padding:10px;
}

.content{
    text-align: center;
}
hr{
   margin:10px 35px 10px 35px;
}
.grid-container{
    display:grid;
    grid-template-columns: repeat(3,1fr);
    grid-auto-flow: column;
    text-align: center;
    justify-items: center;
    align-items: center;
}
.containers{
    width:80%;
    margin:auto;
    overflow: hidden;
}
#boxes .box_img{
    width:200px;
    height:200px;
    cursor:pointer;
}

/* Sidebar */
#sidebar{
    float:right;
    width: 30%; 
    margin-top:10px;
    font-family: 'Courier New', Courier, monospace;
}
#main-col{
    float:left;
    width:65%; 
    font-family: 'Courier New', Courier, monospace;
}
.page-title{
    padding-top:15px;
}
.dark{
    padding:15px;
    background:rgb(18,50,62);
    color:#ffffff;
    margin-top:10px;
    margin-bottom:10px;
}
@media screen and (max-width:320px){
    header nav{
        padding:0;
        float:left;
    }
    header #logo h1{
        display:none;
    }
    header a{
        font-size:10px;
    }
    #newsletter{
        height:90px;
    }
    #newsletter input[type="email"]{
        width:150px;
    }
}
@media screen and (max-width:425px){
    .logo-img{
        display: none;
    }
    .mid-container p{
        width:100%;
    }
    header #logo h1{
        display:none;
    }
    header a{
        font-size:10px;
    }
    #sidebar{
        width:100%;
    }
}
@media screen and (max-width:2056px){
    #newsletter input[type="email"]{
        height:30px;
        width:300px;
    }
}
@media screen and (max-width:768px){
    #newsletter input[type="email"]{
        height:30px;
        width:150px;
    }
    header #logo h1{
        font-size:20px;
        padding: 10px;
    }
    .mid-container p{
        font-size:10px;
    }
    .mid-container h1{
        font-size:20px;
    }
    header a{
        font-size:10px;
    }
    #boxes .box_img{
        width:100px;
        height:100px;
    }
    .logo-img{
        height:50px;
    }
    #boxes{
        grid-template-columns: repeat(3,1fr);
    }
    #newsletter h1{
        display:none;
    }
}

@media screen and (max-width:425px){
    #boxes{
        grid-template-columns: repeat(2 ,1fr);
    }
    #logo h1{
        padding:5px;
        padding-top:0px;
    }
    header #logo{
       margin-right:20px;
    }
    .main-content .heading{
        width:100%;
    }
}
.grid a{
    text-decoration: none;
    background: #f2f2f2;
    display: block;
    padding: 8px 25px;
    color: #333;
}
.grid a:hover{
    background: rgb(18,50,62);
    color:white;
}
.grid ul{
    padding: 0;
    list-style: none;
    background: #f2f2f2;
    display: block;
}
.grid ul li{
    display: inline-block;
    position: relative;
    line-height: 21px;
    text-align: left;
}
.grid ul li a{
    display: block;
    padding: 8px 25px;
    color: #333;
    text-decoration: none;
}
.grid ul li a:hover{
    color: #fff;
    background: rgb(18,50,62);
}
.grid ul li ul.dropdown{
    min-width: 100%; /* Set width of the dropdown */
    background: #f2f2f2;
    display: none;
    position: absolute;
    z-index: 999;
    left: 0;
}
.grid ul li:hover ul.dropdown{
    display: block; /* Display the dropdown */
}
.grid ul li ul.dropdown li{
    display: block;
}
#newsletter{
    height:60px;
    padding:15px;
    color:#ffffff;
    background:rgb(18,50,62);
}

#newsletter h1{
    float:left;
}

#newsletter form{
    float:right;
}
footer{
    padding:20px;
    color:#ffffff;
    background-color:#e8491d;
    text-align:center;
}
.main-content{
    height:auto;
    border:1px solid rgb(230,230,230);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    background-color:#fff;
}
.GRID{ 
    padding:10px;
    display:grid;
    grid-template-columns: repeat(6,1fr); 
    grid-gap:10px;
    grid-auto-flow: dense;
    color:rgb(158,158,158);

}
.heading{
    margin:10px;
    margin: auto;
    width: 50%;
    text-align: center;
    padding: 10px;
    font-size:30px;
}
#stu{
    font-size:24px;
}
.D1{
    grid-column: 1/3;
    padding-top:10px;
}
.D2{
    grid-column:3/5;
    padding-top:10px;
}
.D3{
    grid-column:5 /-1;
    padding-top:10px;
}
.D4{
    grid-column:1/span 2;
}
input{
    outline:none;
    width:100%;
    height:30px;
    border:1px solid rgb(230,230,230);
    border-radius:5px;
}
#check{
    height:20px;
    width:5%;
}
#button{
    margin: auto;
    margin-left: 10%;
    width: 30%;
    background-color:rgb(18,50,62);
    cursor:pointer;
    color:white;
}
input:hover{
    border-color:rgb(171,171,171);
}
.D5{
    grid-column:3/5;
}
.D6{
    grid-column:5/-1;
}
.D7{
    grid-column:1/-1;
    padding-top:10px;
}
.D8{
    grid-column:1/-1;
}
.D9{
    grid-column:1/span 3;
    padding-top:10px;
}
.D10{
    grid-column:3/ 10;
    padding-top:10px;
}
.D11{
    grid-column:1/span 3;
}
.D12{
    grid-column:4/7;
}
.D13{
    grid-column:1/-1;
    padding-top:10px;
    text-align: center;
    justify-content: center;
}

